# Top
module GreenHat
  # Log
  module Formatters
    # Formatters for Dmesg
    def format_table
      # Headers to Readable Symbol
      headers = raw.first.split(' ', 6).map(&:downcase).map do |x|
        x.gsub(/\s+/, '_').gsub(/[^0-9A-Za-z_]/, '')
      end.map(&:to_sym)

      final = []

      # Put fields into a Hash based on Location/Key
      raw[1..].map(&:split).each do |row|
        result = {}
        row.each_with_index do |detail, i|
          result[headers[i]] = detail
        end
        final.push result
      end

      self.result = final
    end
  end
end
