require 'sinatra/base'

# Helper
module GreenHat
  # Web Helper
  module Web
    # Template Helper
    class MyApp < Sinatra::Base
      set :server, :puma
      set :server_settings, log_requests: false, debug: false, stdout_redirect: '/dev/null', quiet: true,
                            Port: 15_123
      set :logging, false

      get '/' do
        'Hello world!'
      end
    end

    def self.start
      @thread = Thread.new do
        # original_stderr = $stderr.clone
        # original_stdout = $stdout.clone
        # $stderr.reopen(File.new('/dev/null', 'w'))
        # $stdout.reopen(File.new('/dev/null', 'w'))

        app = MyApp.run!
        # $stdout.reopen(original_stdout)
        # $stderr.reopen(original_stderr)

        # $stdout.reopen($STDOUT_CLONE)

        app
      end

      sleep 0.2
    end

    def self.thread
      @thread
    end

    def self.stop
      thread.kill if thread.alive?
    end
  end
end
