# -*- encoding: utf-8 -*-
# stub: greenhat 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "greenhat".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Davin Walker".freeze]
  s.date = "2021-09-01"
  s.description = "Experimental SOS and Log Parser for GitLab".freeze
  s.email = ["dwalker@gitlab.com".freeze]
  s.executables = ["greenhat".freeze]
  s.files = ["bin/greenhat".freeze]
  s.homepage = "https://gitlab.com/gitlab-com/support/toolbox/greenhat".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "GitLab SOS Tool".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<amazing_print>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-reporters>.freeze, ["~> 1.4"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.12"])
    s.add_runtime_dependency(%q<actionview>.freeze, ["~> 6.1"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 6.1"])
    s.add_runtime_dependency(%q<did_you_mean>.freeze, ["~> 1.5"])
    s.add_runtime_dependency(%q<dotenv>.freeze, ["~> 2.7"])
    s.add_runtime_dependency(%q<hash_dot>.freeze, ["~> 2.5"])
    s.add_runtime_dependency(%q<oj>.freeze, ["~> 3.11"])
    s.add_runtime_dependency(%q<pastel>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<pry>.freeze, ["~> 0.14"])
    s.add_runtime_dependency(%q<require_all>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<semantic>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<slim>.freeze, ["~> 4.1"])
    s.add_runtime_dependency(%q<teron>.freeze, ["~> 0.0.8"])
    s.add_runtime_dependency(%q<tty-cursor>.freeze, ["~> 0.7"])
    s.add_runtime_dependency(%q<tty-pager>.freeze, ["~> 0.14"])
    s.add_runtime_dependency(%q<tty-progressbar>.freeze, ["~> 0.18"])
    s.add_runtime_dependency(%q<tty-prompt>.freeze, ["~> 0.23"])
    s.add_runtime_dependency(%q<tty-reader>.freeze, ["~> 0.9"])
    s.add_runtime_dependency(%q<tty-spinner>.freeze, ["~> 0.9"])
    s.add_runtime_dependency(%q<tty-table>.freeze, ["~> 0.12"])
    s.add_runtime_dependency(%q<warning>.freeze, ["~> 1.2"])
  else
    s.add_dependency(%q<amazing_print>.freeze, ["~> 1.3"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-reporters>.freeze, ["~> 1.4"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.12"])
    s.add_dependency(%q<actionview>.freeze, ["~> 6.1"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 6.1"])
    s.add_dependency(%q<did_you_mean>.freeze, ["~> 1.5"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2.7"])
    s.add_dependency(%q<hash_dot>.freeze, ["~> 2.5"])
    s.add_dependency(%q<oj>.freeze, ["~> 3.11"])
    s.add_dependency(%q<pastel>.freeze, ["~> 0.8"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.14"])
    s.add_dependency(%q<require_all>.freeze, ["~> 3.0"])
    s.add_dependency(%q<semantic>.freeze, ["~> 1.6"])
    s.add_dependency(%q<slim>.freeze, ["~> 4.1"])
    s.add_dependency(%q<teron>.freeze, ["~> 0.0.8"])
    s.add_dependency(%q<tty-cursor>.freeze, ["~> 0.7"])
    s.add_dependency(%q<tty-pager>.freeze, ["~> 0.14"])
    s.add_dependency(%q<tty-progressbar>.freeze, ["~> 0.18"])
    s.add_dependency(%q<tty-prompt>.freeze, ["~> 0.23"])
    s.add_dependency(%q<tty-reader>.freeze, ["~> 0.9"])
    s.add_dependency(%q<tty-spinner>.freeze, ["~> 0.9"])
    s.add_dependency(%q<tty-table>.freeze, ["~> 0.12"])
    s.add_dependency(%q<warning>.freeze, ["~> 1.2"])
  end
end
